#!/bin/bash
sudo apt-get update -y
sudo apt-get upgrade -y
sudo apt-get install git build-essential autoconf automake libtool pkg-config libcurl4-openssl-dev libudev-dev libjansson-dev libncurses5-dev -y
sudo apt-get install screen htop build-essential autoconf automake libtool pkg-config libcurl4-gnutls-dev libjansson-dev uthash-dev libncursesw5-dev libudev-dev libusb-1.0-0-dev libevent-dev libmicrohttpd-dev libhidapi-dev libgcrypt20-dev libssl-dev -y
git clone https://github.com/wareck/cgminer-gekko.git
git clone https://github.com/wareck/cgminer-lketc.git
git clone https://github.com/wareck/bfgminer.git bfgminer-ftb
git clone https://github.com/wareck/bfgminer.git
git clone https://github.com/wareck/dualminer-cgminer.git
git clone https://github.com/csa402/cgminer-ants3.git
git clone https://github.com/tpruvot/cpuminer-multi.git
sudo usermod -a -G dialout,plugdev $USER
sudo cp 01-cgminer.rules /etc/udev/rules.d/

echo ""
cd cgminer-gekko
./autogen.sh
./configure --enable-gekko
make
cat <<'EOF'>> go.sh
#!/bin/bash
./cgminer -o stratum+tcp://b3v.f2pool.com:1328 -u 1EjmJRoZ5UL7Bd7ujpRFRLK7g1oQt78nSR.Stick -p x --gekko-compac-freq 200 --gekko-2pac-freq 150
EOF
chmod +x go.sh
cd ..

echo ""
cd cgminer-lketc
./autogen.sh
./configure --enable-scrypt --enable-zeus --enable-lketc
make
cat <<'EOF'>> go.sh
#!/bin/bash
./cgminer --scrypt -o stratum+tcp://hub.miningpoolhub.com:20523 -u wareck.1 -p x --lketc-clock 280 --zeus-chips 6 --zeus-clock 328
EOF
chmod +x go.sh
cd ..

echo ""
cd dualminer-cgminer
./autogen.sh
./configure --enable-dualminer --enable-scrypt
make
cat <<'EOF'>> go.sh
#!/bin/bash
./cgminer --scrypt -o stratum+tcp://b3v.f2pool.com:1328 -u 1EjmJRoZ5UL7Bd7ujpRFRLK7g1oQt78nSR.Stick -p x
EOF
chmod +x go.sh
cd ..

echo ""
cd bfgminer-ftb
./autogen.sh
./configure --enable-futurebit  --enable-scrypt --disable-gridseed  --disable-zeus --disable-dualminer
make
cat <<'EOF'>> go.sh
#!/bin/bash
./bfgminer --scrypt -o stratum+tcp://hub.miningpoolhub.com:20523 -u wareck.1 -p x -S ALL --set MLD:clock=600
EOF
chmod +x go.sh
sudo cp 70-bfgminer.rules /etc/udev/rules.d/
cd ..

echo ""
cd bfgminer
./autogen.sh
./configure --enable-futurebit  --enable-scrypt
make
cat <<'EOF'>> go.sh
#!/bin/bash
./bfgminer --scrypt -o stratum+tcp://hub.miningpoolhub.com:20523 -u wareck.1 -p x -S ALL --set MLD:clock=600
EOF
chmod +x go.sh
cd ..

echo ""
cd cgminer-ants3
./autogen.sh
./configure --enable-ants3
make
cd ..

echo ""
cd cpuminer-multi
./autogen.sh
./build.sh
cd ..
